<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Plik źródłowy MainWindow.cpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('_main_window_8cpp_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle"><div class="title">MainWindow.cpp</div></div>
</div><!--header-->
<div class="contents">
<a href="_main_window_8cpp.html">Idź do dokumentacji tego pliku.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#include &quot;<a class="code" href="_main_window_8hpp.html">MainWindow.hpp</a>&quot;</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="preprocessor">#include &lt;QStatusBar&gt;</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="class_main_window.html#ab956ae0fe06c20af5093977debac8047">   21</a></span><a class="code hl_function" href="class_main_window.html#ab956ae0fe06c20af5093977debac8047">MainWindow::MainWindow</a>(QWidget *parent, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> x, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> y) : QMainWindow(parent)</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>{</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span><span class="comment">// ~~~~~~~~~~~~~~~~~~~~~ UTWORZENIE WIDGET&#39;ÓW ~~~~~~~~~~~~~~~~~~~ //</span></div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span> </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    <span class="comment">// Inicjalizacja centralnego widget&#39;u</span></div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    <a class="code hl_variable" href="class_main_window.html#a41228cf573c300dfa710206783fffd2f">main_widget</a> = <span class="keyword">new</span> QWidget(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    setCentralWidget(<a class="code hl_variable" href="class_main_window.html#a41228cf573c300dfa710206783fffd2f">main_widget</a>);</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    <span class="comment">// Utworzenie menu</span></div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    <a class="code hl_function" href="class_main_window.html#a03799692902ab88a551b4dca1fa042db">createMenu</a>();</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    <span class="comment">// Ustawienie paska statusowego</span></div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    setStatusBar(<span class="keyword">new</span> QStatusBar());</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    statusBar()-&gt;showMessage(tr(<span class="stringliteral">&quot;Aplikacja w trakcie działania...&quot;</span>));</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    resize(x, y);</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    <span class="comment">// Inicjalizacja przycisków</span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    <a class="code hl_variable" href="class_main_window.html#a25ed17d6ac22ed4f95d2f06deb115c24">start_button</a> = <span class="keyword">new</span> QPushButton(tr(<span class="stringliteral">&quot;Rozpocznij&quot;</span>), <a class="code hl_variable" href="class_main_window.html#a41228cf573c300dfa710206783fffd2f">main_widget</a>);</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    <a class="code hl_variable" href="class_main_window.html#a8a369bc2511941fec84dfb6f9d652f35">end_button</a> = <span class="keyword">new</span> QPushButton(tr(<span class="stringliteral">&quot;Zakończ&quot;</span>), <a class="code hl_variable" href="class_main_window.html#a41228cf573c300dfa710206783fffd2f">main_widget</a>);</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    <span class="comment">// Inicjalizacja terminala</span></div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    <a class="code hl_variable" href="class_main_window.html#a353fe0535aaca3ce6597d2ffd9f44241">terminal</a> = <span class="keyword">new</span> <a class="code hl_class" href="class_terminal.html">Terminal</a>(<span class="stringliteral">&quot;Terminal&quot;</span>, <a class="code hl_variable" href="class_main_window.html#a41228cf573c300dfa710206783fffd2f">main_widget</a>);</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    <span class="comment">// Inicjalizacja dwóch wykresów prędkości kół</span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    <a class="code hl_variable" href="class_main_window.html#a621820c90e8a99378efb99149c82af98">graphs</a>[0] = <span class="keyword">new</span> <a class="code hl_class" href="class_velocity_graph.html">VelocityGraph</a>(<span class="stringliteral">&quot;Koło prawe&quot;</span>, <a class="code hl_variable" href="class_main_window.html#a41228cf573c300dfa710206783fffd2f">main_widget</a>);</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    <a class="code hl_variable" href="class_main_window.html#a621820c90e8a99378efb99149c82af98">graphs</a>[1] = <span class="keyword">new</span> <a class="code hl_class" href="class_velocity_graph.html">VelocityGraph</a>(<span class="stringliteral">&quot;Koło lewe&quot;</span>, <a class="code hl_variable" href="class_main_window.html#a41228cf573c300dfa710206783fffd2f">main_widget</a>);</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    <span class="comment">// Inicjalizacja okna z przebytą drogą i koordynatami</span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    <a class="code hl_variable" href="class_main_window.html#a6a1f45248f0f7feadca2fefa68961982">traveled_distance</a> = <span class="keyword">new</span> <a class="code hl_class" href="class_travel_info.html">TravelInfo</a>(<span class="stringliteral">&quot;Przebyta droga&quot;</span>, <a class="code hl_variable" href="class_main_window.html#a41228cf573c300dfa710206783fffd2f">main_widget</a>);</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    <a class="code hl_variable" href="class_main_window.html#a6a1f45248f0f7feadca2fefa68961982">traveled_distance</a>-&gt;<a class="code hl_function" href="class_travel_info.html#a7372d7b6b3cab2310b3e6482df168041">writeLine</a>(<span class="stringliteral">&quot;0.00&quot;</span>);</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    <a class="code hl_variable" href="class_main_window.html#a6a1f45248f0f7feadca2fefa68961982">traveled_distance</a>-&gt;<a class="code hl_function" href="class_travel_info.html#a99fc19ffabbf99e2fd40d649a762e791">setMaxWidth</a>(60);</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    <a class="code hl_variable" href="class_main_window.html#aed447fb7bc11c0cd4be563f743e647af">coords</a> = <span class="keyword">new</span> <a class="code hl_class" href="class_travel_info.html">TravelInfo</a>(<span class="stringliteral">&quot;Współrzędne&quot;</span>, <a class="code hl_variable" href="class_main_window.html#a41228cf573c300dfa710206783fffd2f">main_widget</a>);</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    <a class="code hl_variable" href="class_main_window.html#aed447fb7bc11c0cd4be563f743e647af">coords</a>-&gt;<a class="code hl_function" href="class_travel_info.html#a7372d7b6b3cab2310b3e6482df168041">writeLine</a>(<span class="stringliteral">&quot;[ 0.00, 0.00 ]&quot;</span>);</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    <a class="code hl_variable" href="class_main_window.html#aed447fb7bc11c0cd4be563f743e647af">coords</a>-&gt;<a class="code hl_function" href="class_travel_info.html#a99fc19ffabbf99e2fd40d649a762e791">setMaxWidth</a>(115);</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    <span class="comment">// Inicjalizacja mapy 3D</span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    <a class="code hl_variable" href="class_main_window.html#acebe2328d46e24d95c03ad210933b168">map</a> = <span class="keyword">new</span> <a class="code hl_class" href="class_map3_d.html">Map3D</a>(<span class="stringliteral">&quot;Mapa 3D&quot;</span>, <a class="code hl_variable" href="class_main_window.html#a41228cf573c300dfa710206783fffd2f">main_widget</a>);</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    <span class="comment">// Inicjalizacja okna z odległościami czujników</span></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    <a class="code hl_variable" href="class_main_window.html#a0f48d13d200050cefb8a2c9cae8705c9">distances</a> = <span class="keyword">new</span> <a class="code hl_class" href="class_distance_win.html">DistanceWin</a>(<span class="stringliteral">&quot;Odległości&quot;</span>, <a class="code hl_variable" href="class_main_window.html#a41228cf573c300dfa710206783fffd2f">main_widget</a>);</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span> </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    <span class="comment">// Inicjalizacja portu szeregowego i wątku czytającego</span></div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    <a class="code hl_variable" href="class_main_window.html#a356578805ed1248a7f2807434cb0e5ee">timer</a> = <span class="keyword">new</span> QTimer(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    <a class="code hl_variable" href="class_main_window.html#ab8a4947c85721e80b5aaba35a1403369">serial</a> = <span class="keyword">new</span> <a class="code hl_class" href="class_serial_port.html">SerialPort</a>();</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span> </div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span><span class="comment">// ~~~~~~~~~~~~~~~~~~~~~ USTAWIENIE GEOMETRII ~~~~~~~~~~~~~~~~~~~ //</span></div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span> </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    <span class="comment">// Dodanie zarządców geometrii do głównego widget&#39;u</span></div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    <a class="code hl_variable" href="class_main_window.html#a84fbe0d2c1a0ab5b98914f4abba1a80b">travelinfo_layout</a> = <span class="keyword">new</span> QHBoxLayout();</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    <a class="code hl_variable" href="class_main_window.html#a479291f16541e02fdfa3dd5fb7de2e4e">horizon_layout</a> = <span class="keyword">new</span> QHBoxLayout(<a class="code hl_variable" href="class_main_window.html#a41228cf573c300dfa710206783fffd2f">main_widget</a>);</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    <a class="code hl_variable" href="class_main_window.html#adba2bc7ed31f560ceef2b3006a05de3b">vertical_layout</a> = <span class="keyword">new</span> QVBoxLayout();</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    <a class="code hl_function" href="class_main_window.html#a505c42044d50b095841812dac82e385a">setVerticalLayout</a>();</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    <a class="code hl_function" href="class_main_window.html#a0a3c21256fcd526fa1ee8ce30bff6d70">setHorizontalLayout</a>();</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span> </div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span><span class="comment">// ~~~~~~~~~~~~~~~ USTAWIENIE SLOTÓW I SYGNAŁÓW ~~~~~~~~~~~~~~~~ //</span></div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span> </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    connect(<a class="code hl_variable" href="class_main_window.html#a25ed17d6ac22ed4f95d2f06deb115c24">start_button</a>, SIGNAL(clicked()), <span class="keyword">this</span>, SLOT(<a class="code hl_slot" href="class_main_window.html#a31824aa1482e54ed17467596c8b3bb24">startSerialConnection</a>()));</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    connect(<a class="code hl_variable" href="class_main_window.html#a8a369bc2511941fec84dfb6f9d652f35">end_button</a>, SIGNAL(clicked()), <span class="keyword">this</span>, SLOT(<a class="code hl_slot" href="class_main_window.html#a0dc08b98850414e14c4ca6eff329346e">endSerialConnection</a>()));</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    connect(<a class="code hl_variable" href="class_main_window.html#a8a369bc2511941fec84dfb6f9d652f35">end_button</a>, SIGNAL(clicked()), <span class="keyword">this</span>, SLOT(<a class="code hl_slot" href="class_main_window.html#ae57531c18dc214964cb2de3f334dba0f">stopTimer</a>()));</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    connect(<span class="keyword">this</span>, SIGNAL(<a class="code hl_signal" href="class_main_window.html#ac02bc0c466bc5b5ad43b8097a3642225">serialEnded</a>()), <a class="code hl_variable" href="class_main_window.html#a353fe0535aaca3ce6597d2ffd9f44241">terminal</a>, SLOT(typeSerialEnded()));</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    connect(<span class="keyword">this</span>, SIGNAL(<a class="code hl_signal" href="class_main_window.html#ad18033579ccdad6f39dea914b0c8eb9a">serialReady</a>()), <a class="code hl_variable" href="class_main_window.html#a353fe0535aaca3ce6597d2ffd9f44241">terminal</a>, SLOT(typeSerialReady()));</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    connect(<span class="keyword">this</span>, SIGNAL(<a class="code hl_signal" href="class_main_window.html#ad18033579ccdad6f39dea914b0c8eb9a">serialReady</a>()), <span class="keyword">this</span>, SLOT(<a class="code hl_slot" href="class_main_window.html#a3a503f5106dd5b87c5bd928c4737016c">startThread</a>()));</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    connect(<span class="keyword">this</span>, SIGNAL(<a class="code hl_signal" href="class_main_window.html#a5c8aee50c5585e4e36ab9e76c8f0318a">serialOpenError</a>()), <a class="code hl_variable" href="class_main_window.html#a353fe0535aaca3ce6597d2ffd9f44241">terminal</a>, SLOT(typeSerialOpenError()));</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    connect(<a class="code hl_variable" href="class_main_window.html#a356578805ed1248a7f2807434cb0e5ee">timer</a>, SIGNAL(timeout()), <span class="keyword">this</span>, SLOT(<a class="code hl_slot" href="class_main_window.html#a29e2501ffde7ab9786bd5ab02f055550">updateWindow</a>()));</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span> </div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    connect(<span class="keyword">this</span>, SIGNAL(<a class="code hl_signal" href="class_main_window.html#a8fc137b4622ea499e3a9c37bbcf6fb63">typePl</a>()), <a class="code hl_variable" href="class_main_window.html#a353fe0535aaca3ce6597d2ffd9f44241">terminal</a>, SLOT(typePlLang()));</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>    connect(<span class="keyword">this</span>, SIGNAL(<a class="code hl_signal" href="class_main_window.html#aa3a78aeb57b0f47aeb58da36e9e2e16a">typeEng</a>()), <a class="code hl_variable" href="class_main_window.html#a353fe0535aaca3ce6597d2ffd9f44241">terminal</a>, SLOT(typeEngLang()));</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>}</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno"><a class="line" href="class_main_window.html#a505c42044d50b095841812dac82e385a">   88</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="class_main_window.html#a505c42044d50b095841812dac82e385a">MainWindow::setVerticalLayout</a>()</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>{</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    <a class="code hl_variable" href="class_main_window.html#a84fbe0d2c1a0ab5b98914f4abba1a80b">travelinfo_layout</a>-&gt;addWidget(<a class="code hl_variable" href="class_main_window.html#a6a1f45248f0f7feadca2fefa68961982">traveled_distance</a>);</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>    <a class="code hl_variable" href="class_main_window.html#a84fbe0d2c1a0ab5b98914f4abba1a80b">travelinfo_layout</a>-&gt;addWidget(<a class="code hl_variable" href="class_main_window.html#aed447fb7bc11c0cd4be563f743e647af">coords</a>);</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span> </div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    <a class="code hl_variable" href="class_main_window.html#adba2bc7ed31f560ceef2b3006a05de3b">vertical_layout</a>-&gt;addWidget(<a class="code hl_variable" href="class_main_window.html#a0f48d13d200050cefb8a2c9cae8705c9">distances</a>);</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>    <a class="code hl_variable" href="class_main_window.html#adba2bc7ed31f560ceef2b3006a05de3b">vertical_layout</a>-&gt;addLayout(<a class="code hl_variable" href="class_main_window.html#a84fbe0d2c1a0ab5b98914f4abba1a80b">travelinfo_layout</a>);</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    <a class="code hl_variable" href="class_main_window.html#adba2bc7ed31f560ceef2b3006a05de3b">vertical_layout</a>-&gt;addWidget(<a class="code hl_variable" href="class_main_window.html#a621820c90e8a99378efb99149c82af98">graphs</a>[1]);</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>    <a class="code hl_variable" href="class_main_window.html#adba2bc7ed31f560ceef2b3006a05de3b">vertical_layout</a>-&gt;addWidget(<a class="code hl_variable" href="class_main_window.html#a621820c90e8a99378efb99149c82af98">graphs</a>[0]);</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>    <a class="code hl_variable" href="class_main_window.html#adba2bc7ed31f560ceef2b3006a05de3b">vertical_layout</a>-&gt;addWidget(<a class="code hl_variable" href="class_main_window.html#a353fe0535aaca3ce6597d2ffd9f44241">terminal</a>);</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>    <a class="code hl_variable" href="class_main_window.html#adba2bc7ed31f560ceef2b3006a05de3b">vertical_layout</a>-&gt;addWidget(<a class="code hl_variable" href="class_main_window.html#a25ed17d6ac22ed4f95d2f06deb115c24">start_button</a>);</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>    <a class="code hl_variable" href="class_main_window.html#adba2bc7ed31f560ceef2b3006a05de3b">vertical_layout</a>-&gt;addWidget(<a class="code hl_variable" href="class_main_window.html#a8a369bc2511941fec84dfb6f9d652f35">end_button</a>);</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>}</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno"><a class="line" href="class_main_window.html#a0a3c21256fcd526fa1ee8ce30bff6d70">  107</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="class_main_window.html#a0a3c21256fcd526fa1ee8ce30bff6d70">MainWindow::setHorizontalLayout</a>()</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>{</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>    <a class="code hl_variable" href="class_main_window.html#a479291f16541e02fdfa3dd5fb7de2e4e">horizon_layout</a>-&gt;addWidget(<a class="code hl_variable" href="class_main_window.html#acebe2328d46e24d95c03ad210933b168">map</a>);</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>    <a class="code hl_variable" href="class_main_window.html#a479291f16541e02fdfa3dd5fb7de2e4e">horizon_layout</a>-&gt;addItem(<span class="keyword">new</span> QSpacerItem(10, 10, QSizePolicy::Preferred, QSizePolicy::Minimum));</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>    <a class="code hl_variable" href="class_main_window.html#a479291f16541e02fdfa3dd5fb7de2e4e">horizon_layout</a>-&gt;addLayout(<a class="code hl_variable" href="class_main_window.html#adba2bc7ed31f560ceef2b3006a05de3b">vertical_layout</a>);</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>    <a class="code hl_variable" href="class_main_window.html#a479291f16541e02fdfa3dd5fb7de2e4e">horizon_layout</a>-&gt;setStretch(0, 3);</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>    <a class="code hl_variable" href="class_main_window.html#a479291f16541e02fdfa3dd5fb7de2e4e">horizon_layout</a>-&gt;setStretch(2, 1);</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>}</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno"><a class="line" href="class_main_window.html#a29e2501ffde7ab9786bd5ab02f055550">  123</a></span><span class="keywordtype">void</span> <a class="code hl_slot" href="class_main_window.html#a29e2501ffde7ab9786bd5ab02f055550">MainWindow::updateWindow</a>()</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>{</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>    <span class="comment">// Uzyskanie wskaźnika do danych z robota</span></div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>    <a class="code hl_class" href="class_robot_data.html">RobotData</a> *data = <a class="code hl_variable" href="class_main_window.html#ab8a4947c85721e80b5aaba35a1403369">serial</a>-&gt;<a class="code hl_function" href="class_serial_port.html#aa62756463c259f5a8e5d203227109322">returnRobotData</a>();</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>    <span class="comment">// Aktualizacja okienek z odległościami</span></div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>    <span class="keywordflow">for</span>(<span class="keywordtype">int</span> i = 0; i &lt; 4; ++i)</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>        <a class="code hl_variable" href="class_main_window.html#a0f48d13d200050cefb8a2c9cae8705c9">distances</a>-&gt;<a class="code hl_function" href="class_distance_win.html#af2f5aa946689b7e5274052aa9af6d442">updateDistances</a>(data-&gt;<a class="code hl_function" href="class_robot_data.html#a0e99308bd0a255942711d5a7f5cf9639">returnDistance</a>(i), i);</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>    <span class="comment">// Aktualizacja pozycji robota na mapie</span></div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>    <span class="keywordflow">for</span>(<span class="keywordtype">int</span> i = 0; i &lt; 4; ++i)</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>        <a class="code hl_variable" href="class_main_window.html#acebe2328d46e24d95c03ad210933b168">map</a>-&gt;<a class="code hl_function" href="class_map3_d.html#af1db43c016f502a56149a6fe3acdd365">passMeasure</a>(data-&gt;<a class="code hl_function" href="class_robot_data.html#a0e99308bd0a255942711d5a7f5cf9639">returnDistance</a>(i), i);</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span> </div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>    <a class="code hl_variable" href="class_main_window.html#acebe2328d46e24d95c03ad210933b168">map</a>-&gt;<a class="code hl_function" href="class_map3_d.html#aaf51a6397305a161ddffa25e06eaa18f">moveRobot</a>(data-&gt;<a class="code hl_function" href="class_robot_data.html#ac12e26952ade6fa132e489bc0c95b6c2">returnVelocity</a>(0), data-&gt;<a class="code hl_function" href="class_robot_data.html#ac12e26952ade6fa132e489bc0c95b6c2">returnVelocity</a>(1), <a class="code hl_define" href="_main_window_8hpp.html#a847b99b287f7c6555ab0f1cb4ed52119">TIME_INTERVAL</a>);</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>    <a class="code hl_variable" href="class_main_window.html#acebe2328d46e24d95c03ad210933b168">map</a>-&gt;<a class="code hl_function" href="class_map3_d.html#a80745e5f188844063a60711d1c28ceb1">refresh</a>();</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>    <span class="comment">// Aktualizacja wykresów prędkości obu kół</span></div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>    <a class="code hl_variable" href="class_main_window.html#a621820c90e8a99378efb99149c82af98">graphs</a>[0]-&gt;<a class="code hl_function" href="class_velocity_graph.html#a6f38fb49ed1209990c97f6753c35ed52">updateWheelVelocity</a>(data-&gt;<a class="code hl_function" href="class_robot_data.html#ac12e26952ade6fa132e489bc0c95b6c2">returnVelocity</a>(0), <a class="code hl_define" href="_main_window_8hpp.html#a847b99b287f7c6555ab0f1cb4ed52119">TIME_INTERVAL</a>);</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>    <a class="code hl_variable" href="class_main_window.html#a621820c90e8a99378efb99149c82af98">graphs</a>[1]-&gt;<a class="code hl_function" href="class_velocity_graph.html#a6f38fb49ed1209990c97f6753c35ed52">updateWheelVelocity</a>(data-&gt;<a class="code hl_function" href="class_robot_data.html#ac12e26952ade6fa132e489bc0c95b6c2">returnVelocity</a>(1), <a class="code hl_define" href="_main_window_8hpp.html#a847b99b287f7c6555ab0f1cb4ed52119">TIME_INTERVAL</a>);</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>    <span class="comment">// Aktualizacja współrzędnych robota</span></div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>    <a class="code hl_variable" href="class_main_window.html#aed447fb7bc11c0cd4be563f743e647af">coords</a>-&gt;<a class="code hl_function" href="class_travel_info.html#aded556ed7e83a46c97f60e2593299ded">countCoords</a>(data-&gt;<a class="code hl_function" href="class_robot_data.html#a1dbb990ef5d66e5a48651c30b0183fb7">returnCounter</a>(0), data-&gt;<a class="code hl_function" href="class_robot_data.html#a1dbb990ef5d66e5a48651c30b0183fb7">returnCounter</a>(1));</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>    <span class="comment">// Aktualizacja przebytej drogi robota</span></div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>    <a class="code hl_variable" href="class_main_window.html#a6a1f45248f0f7feadca2fefa68961982">traveled_distance</a>-&gt;<a class="code hl_function" href="class_travel_info.html#a3a7cf7c55842a5ca903c4cfdecc98921">updateDistance</a>(<a class="code hl_variable" href="class_main_window.html#acebe2328d46e24d95c03ad210933b168">map</a>-&gt;<a class="code hl_function" href="class_map3_d.html#ad29147f780b915a93ea20e2219ebde1d">returnRobotDistance</a>());</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>}</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span> </div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno"><a class="line" href="class_main_window.html#a03799692902ab88a551b4dca1fa042db">  153</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="class_main_window.html#a03799692902ab88a551b4dca1fa042db">MainWindow::createMenu</a>()</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>{</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>    <a class="code hl_variable" href="class_main_window.html#a4e3feffb969822041d3629e01584452a">pl_lang</a> = <span class="keyword">new</span> QAction(<span class="stringliteral">&quot;&amp;Polski&quot;</span>, <span class="keyword">this</span>);</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>    connect(<a class="code hl_variable" href="class_main_window.html#a4e3feffb969822041d3629e01584452a">pl_lang</a>, &amp;QAction::triggered, <span class="keyword">this</span>, &amp;<a class="code hl_slot" href="class_main_window.html#a08c3c589283d46ae876677cf581826f7">MainWindow::plLangChosen</a>);</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>    <a class="code hl_variable" href="class_main_window.html#afc498bf194fe7640bd3b964173cdf513">eng_lang</a> = <span class="keyword">new</span> QAction(<span class="stringliteral">&quot;&amp;English&quot;</span>, <span class="keyword">this</span>);</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>    connect(<a class="code hl_variable" href="class_main_window.html#afc498bf194fe7640bd3b964173cdf513">eng_lang</a>, &amp;QAction::triggered, <span class="keyword">this</span>, &amp;<a class="code hl_slot" href="class_main_window.html#ae257f4aef4eadcf49538c2cb8c9488c7">MainWindow::engLangChosen</a>);</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span> </div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>    <a class="code hl_variable" href="class_main_window.html#afecba282687848b44c55036ade1922bd">lang_menu</a> = menuBar()-&gt;addMenu(tr(<span class="stringliteral">&quot;&amp;Język&quot;</span>));</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>    <a class="code hl_variable" href="class_main_window.html#afecba282687848b44c55036ade1922bd">lang_menu</a>-&gt;addAction(<a class="code hl_variable" href="class_main_window.html#a4e3feffb969822041d3629e01584452a">pl_lang</a>);</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>    <a class="code hl_variable" href="class_main_window.html#afecba282687848b44c55036ade1922bd">lang_menu</a>-&gt;addAction(<a class="code hl_variable" href="class_main_window.html#afc498bf194fe7640bd3b964173cdf513">eng_lang</a>);</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>}</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno"><a class="line" href="class_main_window.html#a9fdfec5708365ddc98b17e431398841f">  169</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="class_main_window.html#a9fdfec5708365ddc98b17e431398841f">MainWindow::contextMenuEvent</a>(QContextMenuEvent *event)</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>{</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>    QMenu menu(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>    menu.addAction(<a class="code hl_variable" href="class_main_window.html#a4e3feffb969822041d3629e01584452a">pl_lang</a>);</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>    menu.addAction(<a class="code hl_variable" href="class_main_window.html#afc498bf194fe7640bd3b964173cdf513">eng_lang</a>);</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>    menu.exec(event-&gt;globalPos());</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>}</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno"><a class="line" href="class_main_window.html#a3a503f5106dd5b87c5bd928c4737016c">  183</a></span><span class="keywordtype">void</span> <a class="code hl_slot" href="class_main_window.html#a3a503f5106dd5b87c5bd928c4737016c">MainWindow::startThread</a>()</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>{</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>    <a class="code hl_variable" href="class_main_window.html#a356578805ed1248a7f2807434cb0e5ee">timer</a>-&gt;start(<a class="code hl_define" href="_main_window_8hpp.html#a847b99b287f7c6555ab0f1cb4ed52119">TIME_INTERVAL</a>);</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>    <a class="code hl_variable" href="_main_window_8hpp.html#aad7bbf4191e375baee5f99ed26694706">start</a>.notify_one();</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>}</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno"><a class="line" href="class_main_window.html#a31824aa1482e54ed17467596c8b3bb24">  195</a></span><span class="keywordtype">void</span> <a class="code hl_slot" href="class_main_window.html#a31824aa1482e54ed17467596c8b3bb24">MainWindow::startSerialConnection</a>()</div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>{</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>    <span class="keywordflow">if</span>(<a class="code hl_variable" href="class_main_window.html#ab8a4947c85721e80b5aaba35a1403369">serial</a>-&gt;<a class="code hl_function" href="class_serial_port.html#ab8617347c0bd495e80d39e563ec8e750">startConnection</a>())</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>        emit <a class="code hl_signal" href="class_main_window.html#ad18033579ccdad6f39dea914b0c8eb9a">serialReady</a>();</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>        emit <a class="code hl_signal" href="class_main_window.html#a5c8aee50c5585e4e36ab9e76c8f0318a">serialOpenError</a>();</div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>}</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno"><a class="line" href="class_main_window.html#a0dc08b98850414e14c4ca6eff329346e">  205</a></span><span class="keywordtype">void</span> <a class="code hl_slot" href="class_main_window.html#a0dc08b98850414e14c4ca6eff329346e">MainWindow::endSerialConnection</a>()</div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>{</div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>    <span class="keywordflow">if</span>(<a class="code hl_variable" href="class_main_window.html#ab8a4947c85721e80b5aaba35a1403369">serial</a>-&gt;<a class="code hl_function" href="class_serial_port.html#a58d7a924c500dbbd169ab7ed0f60afef">endConnection</a>())</div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span>        emit <a class="code hl_signal" href="class_main_window.html#ac02bc0c466bc5b5ad43b8097a3642225">serialEnded</a>();</div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span>}</div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno"><a class="line" href="class_main_window.html#a08c3c589283d46ae876677cf581826f7">  216</a></span><span class="keywordtype">void</span> <a class="code hl_slot" href="class_main_window.html#a08c3c589283d46ae876677cf581826f7">MainWindow::plLangChosen</a>()</div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span>{</div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span>    <a class="code hl_function" href="class_main_window.html#a7e4aff0e6115f925d23d6a4272fe6303">languageChoice</a>(1);</div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span> </div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span>    emit <a class="code hl_signal" href="class_main_window.html#a8fc137b4622ea499e3a9c37bbcf6fb63">typePl</a>();</div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span>}</div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno"><a class="line" href="class_main_window.html#ae257f4aef4eadcf49538c2cb8c9488c7">  228</a></span><span class="keywordtype">void</span> <a class="code hl_slot" href="class_main_window.html#ae257f4aef4eadcf49538c2cb8c9488c7">MainWindow::engLangChosen</a>()</div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span>{</div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span>    <a class="code hl_function" href="class_main_window.html#a7e4aff0e6115f925d23d6a4272fe6303">languageChoice</a>(0);</div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span> </div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span>    emit <a class="code hl_signal" href="class_main_window.html#aa3a78aeb57b0f47aeb58da36e9e2e16a">typeEng</a>();</div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno">  233</span>}</div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno"><a class="line" href="class_main_window.html#a416ae2140ac1aa9f03a6279316abdcad">  241</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="class_main_window.html#a416ae2140ac1aa9f03a6279316abdcad">MainWindow::changeEvent</a>(QEvent *event)</div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span>{</div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span>    <span class="keywordflow">if</span>(event-&gt;type() == QEvent::LanguageChange)</div>
<div class="line"><a id="l00244" name="l00244"></a><span class="lineno">  244</span>    {</div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno">  245</span>        <a class="code hl_function" href="class_main_window.html#a092bc60649c2831c9c0bb58e6d1bf1f1">retranslate</a>(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno">  246</span>        <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno">  247</span>    }</div>
<div class="line"><a id="l00248" name="l00248"></a><span class="lineno">  248</span>    QMainWindow::changeEvent(event);</div>
<div class="line"><a id="l00249" name="l00249"></a><span class="lineno">  249</span>}</div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno"><a class="line" href="class_main_window.html#a092bc60649c2831c9c0bb58e6d1bf1f1">  253</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="class_main_window.html#a092bc60649c2831c9c0bb58e6d1bf1f1">MainWindow::retranslate</a>(QMainWindow *main_window)</div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno">  254</span>{</div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno">  255</span>    main_window-&gt;setWindowTitle(QApplication::translate(<span class="stringliteral">&quot;MainWindow&quot;</span>, <span class="stringliteral">&quot;Application Window&quot;</span>, <span class="keyword">nullptr</span>));</div>
<div class="line"><a id="l00256" name="l00256"></a><span class="lineno">  256</span>    <a class="code hl_variable" href="class_main_window.html#a621820c90e8a99378efb99149c82af98">graphs</a>[0]-&gt;<a class="code hl_function" href="class_framed_widget.html#a707169afc04bdd361d8060903ee94845">changeTitle</a>(QApplication::translate(<span class="stringliteral">&quot;MainWindow&quot;</span>, <span class="stringliteral">&quot;Left wheel&quot;</span>, <span class="keyword">nullptr</span>));</div>
<div class="line"><a id="l00257" name="l00257"></a><span class="lineno">  257</span>    <a class="code hl_variable" href="class_main_window.html#a621820c90e8a99378efb99149c82af98">graphs</a>[1]-&gt;<a class="code hl_function" href="class_framed_widget.html#a707169afc04bdd361d8060903ee94845">changeTitle</a>(QApplication::translate(<span class="stringliteral">&quot;MainWindow&quot;</span>, <span class="stringliteral">&quot;Right wheel&quot;</span>, <span class="keyword">nullptr</span>));</div>
<div class="line"><a id="l00258" name="l00258"></a><span class="lineno">  258</span>    <a class="code hl_variable" href="class_main_window.html#a6a1f45248f0f7feadca2fefa68961982">traveled_distance</a>-&gt;<a class="code hl_function" href="class_framed_widget.html#a707169afc04bdd361d8060903ee94845">changeTitle</a>(QApplication::translate(<span class="stringliteral">&quot;MainWindow&quot;</span>, <span class="stringliteral">&quot;Traveled distance&quot;</span>, <span class="keyword">nullptr</span>));</div>
<div class="line"><a id="l00259" name="l00259"></a><span class="lineno">  259</span>    <a class="code hl_variable" href="class_main_window.html#aed447fb7bc11c0cd4be563f743e647af">coords</a>-&gt;<a class="code hl_function" href="class_framed_widget.html#a707169afc04bdd361d8060903ee94845">changeTitle</a>(QApplication::translate(<span class="stringliteral">&quot;MainWindow&quot;</span>, <span class="stringliteral">&quot;Coordinates&quot;</span>, <span class="keyword">nullptr</span>));</div>
<div class="line"><a id="l00260" name="l00260"></a><span class="lineno">  260</span>    <a class="code hl_variable" href="class_main_window.html#a0f48d13d200050cefb8a2c9cae8705c9">distances</a>-&gt;<a class="code hl_function" href="class_framed_widget.html#a707169afc04bdd361d8060903ee94845">changeTitle</a>(QApplication::translate(<span class="stringliteral">&quot;MainWindow&quot;</span>, <span class="stringliteral">&quot;Distancnes&quot;</span>, <span class="keyword">nullptr</span>));</div>
<div class="line"><a id="l00261" name="l00261"></a><span class="lineno">  261</span>    <a class="code hl_variable" href="class_main_window.html#acebe2328d46e24d95c03ad210933b168">map</a>-&gt;<a class="code hl_function" href="class_framed_widget.html#a707169afc04bdd361d8060903ee94845">changeTitle</a>(QApplication::translate(<span class="stringliteral">&quot;MainWindow&quot;</span>, <span class="stringliteral">&quot;3D map&quot;</span>, <span class="keyword">nullptr</span>));</div>
<div class="line"><a id="l00262" name="l00262"></a><span class="lineno">  262</span>    <a class="code hl_variable" href="class_main_window.html#a25ed17d6ac22ed4f95d2f06deb115c24">start_button</a>-&gt;setText(<span class="stringliteral">&quot;Start&quot;</span>);</div>
<div class="line"><a id="l00263" name="l00263"></a><span class="lineno">  263</span>    <a class="code hl_variable" href="class_main_window.html#a8a369bc2511941fec84dfb6f9d652f35">end_button</a>-&gt;setText(<span class="stringliteral">&quot;End&quot;</span>);</div>
<div class="line"><a id="l00264" name="l00264"></a><span class="lineno">  264</span>    statusBar()-&gt;showMessage(<span class="stringliteral">&quot;Application is running...&quot;</span>);</div>
<div class="line"><a id="l00265" name="l00265"></a><span class="lineno">  265</span>}</div>
<div class="line"><a id="l00275" name="l00275"></a><span class="lineno"><a class="line" href="class_main_window.html#a7e4aff0e6115f925d23d6a4272fe6303">  275</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="class_main_window.html#a7e4aff0e6115f925d23d6a4272fe6303">MainWindow::languageChoice</a>(<span class="keywordtype">int</span> index)</div>
<div class="line"><a id="l00276" name="l00276"></a><span class="lineno">  276</span>{</div>
<div class="line"><a id="l00277" name="l00277"></a><span class="lineno">  277</span>    <span class="keyword">static</span> QTranslator *transPL = <span class="keyword">new</span> QTranslator();</div>
<div class="line"><a id="l00278" name="l00278"></a><span class="lineno">  278</span> </div>
<div class="line"><a id="l00279" name="l00279"></a><span class="lineno">  279</span>    <span class="keywordflow">switch</span> (index)</div>
<div class="line"><a id="l00280" name="l00280"></a><span class="lineno">  280</span>    {</div>
<div class="line"><a id="l00281" name="l00281"></a><span class="lineno">  281</span>        <span class="keywordflow">case</span> 0:</div>
<div class="line"><a id="l00282" name="l00282"></a><span class="lineno">  282</span>        {</div>
<div class="line"><a id="l00283" name="l00283"></a><span class="lineno">  283</span>            qApp-&gt;removeTranslator(transPL);</div>
<div class="line"><a id="l00284" name="l00284"></a><span class="lineno">  284</span>            QLocale Locale4EN(QLocale::English);</div>
<div class="line"><a id="l00285" name="l00285"></a><span class="lineno">  285</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00286" name="l00286"></a><span class="lineno">  286</span>        }</div>
<div class="line"><a id="l00287" name="l00287"></a><span class="lineno">  287</span>        <span class="keywordflow">case</span> 1:</div>
<div class="line"><a id="l00288" name="l00288"></a><span class="lineno">  288</span>        {</div>
<div class="line"><a id="l00289" name="l00289"></a><span class="lineno">  289</span>            <span class="keywordflow">if</span>(transPL-&gt;load(<span class="stringliteral">&quot;Robomap_pl_PL.qm&quot;</span>,<span class="stringliteral">&quot;../prj&quot;</span>))</div>
<div class="line"><a id="l00290" name="l00290"></a><span class="lineno">  290</span>            {</div>
<div class="line"><a id="l00291" name="l00291"></a><span class="lineno">  291</span>                qApp-&gt;installTranslator(transPL);</div>
<div class="line"><a id="l00292" name="l00292"></a><span class="lineno">  292</span>                QLocale Locale4PL(QLocale::Polish);</div>
<div class="line"><a id="l00293" name="l00293"></a><span class="lineno">  293</span>            }</div>
<div class="line"><a id="l00294" name="l00294"></a><span class="lineno">  294</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00295" name="l00295"></a><span class="lineno">  295</span>                std::cerr &lt;&lt; <span class="stringliteral">&quot;\nPlik &#39;Robomap_pl_PL.qm&#39; nie został załadowany.&quot;</span>;</div>
<div class="line"><a id="l00296" name="l00296"></a><span class="lineno">  296</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00297" name="l00297"></a><span class="lineno">  297</span>        }</div>
<div class="line"><a id="l00298" name="l00298"></a><span class="lineno">  298</span>    }</div>
<div class="line"><a id="l00299" name="l00299"></a><span class="lineno">  299</span>}</div>
<div class="line"><a id="l00300" name="l00300"></a><span class="lineno">  300</span> </div>
<div class="line"><a id="l00304" name="l00304"></a><span class="lineno"><a class="line" href="class_main_window.html#ae98d00a93bc118200eeef9f9bba1dba7">  304</a></span><a class="code hl_function" href="class_main_window.html#ae98d00a93bc118200eeef9f9bba1dba7">MainWindow::~MainWindow</a>() {}</div>
<div class="line"><a id="l00305" name="l00305"></a><span class="lineno">  305</span> </div>
<div class="ttc" id="a_main_window_8hpp_html"><div class="ttname"><a href="_main_window_8hpp.html">MainWindow.hpp</a></div><div class="ttdoc">Definicja klasy MainWindow.</div></div>
<div class="ttc" id="a_main_window_8hpp_html_a847b99b287f7c6555ab0f1cb4ed52119"><div class="ttname"><a href="_main_window_8hpp.html#a847b99b287f7c6555ab0f1cb4ed52119">TIME_INTERVAL</a></div><div class="ttdeci">#define TIME_INTERVAL</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8hpp_source.html#l00030">MainWindow.hpp:30</a></div></div>
<div class="ttc" id="a_main_window_8hpp_html_aad7bbf4191e375baee5f99ed26694706"><div class="ttname"><a href="_main_window_8hpp.html#aad7bbf4191e375baee5f99ed26694706">start</a></div><div class="ttdeci">std::condition_variable start</div><div class="ttdef"><b>Definition</b> <a href="main_8cpp_source.html#l00007">main.cpp:7</a></div></div>
<div class="ttc" id="aclass_distance_win_html"><div class="ttname"><a href="class_distance_win.html">DistanceWin</a></div><div class="ttdoc">Widget wyświetlający odczyty czujników odległości.</div><div class="ttdef"><b>Definition</b> <a href="_distance_win_8hpp_source.html#l00030">DistanceWin.hpp:31</a></div></div>
<div class="ttc" id="aclass_distance_win_html_af2f5aa946689b7e5274052aa9af6d442"><div class="ttname"><a href="class_distance_win.html#af2f5aa946689b7e5274052aa9af6d442">DistanceWin::updateDistances</a></div><div class="ttdeci">void updateDistances(unsigned int new_dist, int index)</div><div class="ttdoc">Aktualizuje odczyty z czujników odległości.</div><div class="ttdef"><b>Definition</b> <a href="_distance_win_8hpp_source.html#l00086">DistanceWin.hpp:86</a></div></div>
<div class="ttc" id="aclass_framed_widget_html_a707169afc04bdd361d8060903ee94845"><div class="ttname"><a href="class_framed_widget.html#a707169afc04bdd361d8060903ee94845">FramedWidget::changeTitle</a></div><div class="ttdeci">void changeTitle(QString new_title)</div><div class="ttdoc">Zmienia nazwę widgetu / tłumaczy nazwę</div><div class="ttdef"><b>Definition</b> <a href="_framed_widget_8hpp_source.html#l00065">FramedWidget.hpp:65</a></div></div>
<div class="ttc" id="aclass_main_window_html_a03799692902ab88a551b4dca1fa042db"><div class="ttname"><a href="class_main_window.html#a03799692902ab88a551b4dca1fa042db">MainWindow::createMenu</a></div><div class="ttdeci">void createMenu()</div><div class="ttdoc">Inicjalizuje menu aplikacji (wybór języka)</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8cpp_source.html#l00153">MainWindow.cpp:153</a></div></div>
<div class="ttc" id="aclass_main_window_html_a08c3c589283d46ae876677cf581826f7"><div class="ttname"><a href="class_main_window.html#a08c3c589283d46ae876677cf581826f7">MainWindow::plLangChosen</a></div><div class="ttdeci">void plLangChosen()</div><div class="ttdoc">Rozpoczyna procedurę zmiany języka na polski.</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8cpp_source.html#l00216">MainWindow.cpp:216</a></div></div>
<div class="ttc" id="aclass_main_window_html_a092bc60649c2831c9c0bb58e6d1bf1f1"><div class="ttname"><a href="class_main_window.html#a092bc60649c2831c9c0bb58e6d1bf1f1">MainWindow::retranslate</a></div><div class="ttdeci">void retranslate(QMainWindow *main_window)</div><div class="ttdoc">Metoda tłumacząca napisy wyświetlane w oknie głównym.</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8cpp_source.html#l00253">MainWindow.cpp:253</a></div></div>
<div class="ttc" id="aclass_main_window_html_a0a3c21256fcd526fa1ee8ce30bff6d70"><div class="ttname"><a href="class_main_window.html#a0a3c21256fcd526fa1ee8ce30bff6d70">MainWindow::setHorizontalLayout</a></div><div class="ttdeci">void setHorizontalLayout()</div><div class="ttdoc">Ustawia widgety w poziomie (mapa + prawa kolumna)</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8cpp_source.html#l00107">MainWindow.cpp:107</a></div></div>
<div class="ttc" id="aclass_main_window_html_a0dc08b98850414e14c4ca6eff329346e"><div class="ttname"><a href="class_main_window.html#a0dc08b98850414e14c4ca6eff329346e">MainWindow::endSerialConnection</a></div><div class="ttdeci">void endSerialConnection()</div><div class="ttdoc">Kończy komunikację z portem szeregowym.</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8cpp_source.html#l00205">MainWindow.cpp:205</a></div></div>
<div class="ttc" id="aclass_main_window_html_a0f48d13d200050cefb8a2c9cae8705c9"><div class="ttname"><a href="class_main_window.html#a0f48d13d200050cefb8a2c9cae8705c9">MainWindow::distances</a></div><div class="ttdeci">DistanceWin * distances</div><div class="ttdoc">Okno z odczytami czujników odległości (DistanceWin)</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8hpp_source.html#l00091">MainWindow.hpp:91</a></div></div>
<div class="ttc" id="aclass_main_window_html_a25ed17d6ac22ed4f95d2f06deb115c24"><div class="ttname"><a href="class_main_window.html#a25ed17d6ac22ed4f95d2f06deb115c24">MainWindow::start_button</a></div><div class="ttdeci">QPushButton * start_button</div><div class="ttdoc">Przycisk rozpoczynający pracę aplikacji.</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8hpp_source.html#l00071">MainWindow.hpp:71</a></div></div>
<div class="ttc" id="aclass_main_window_html_a29e2501ffde7ab9786bd5ab02f055550"><div class="ttname"><a href="class_main_window.html#a29e2501ffde7ab9786bd5ab02f055550">MainWindow::updateWindow</a></div><div class="ttdeci">void updateWindow()</div><div class="ttdoc">Aktualizuje dane w każdym widgecie.</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8cpp_source.html#l00123">MainWindow.cpp:123</a></div></div>
<div class="ttc" id="aclass_main_window_html_a31824aa1482e54ed17467596c8b3bb24"><div class="ttname"><a href="class_main_window.html#a31824aa1482e54ed17467596c8b3bb24">MainWindow::startSerialConnection</a></div><div class="ttdeci">void startSerialConnection()</div><div class="ttdoc">Rozpoczyna komunikację z portem szeregowym.</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8cpp_source.html#l00195">MainWindow.cpp:195</a></div></div>
<div class="ttc" id="aclass_main_window_html_a353fe0535aaca3ce6597d2ffd9f44241"><div class="ttname"><a href="class_main_window.html#a353fe0535aaca3ce6597d2ffd9f44241">MainWindow::terminal</a></div><div class="ttdeci">Terminal * terminal</div><div class="ttdoc">Okno terminala (Terminal)</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8hpp_source.html#l00079">MainWindow.hpp:79</a></div></div>
<div class="ttc" id="aclass_main_window_html_a356578805ed1248a7f2807434cb0e5ee"><div class="ttname"><a href="class_main_window.html#a356578805ed1248a7f2807434cb0e5ee">MainWindow::timer</a></div><div class="ttdeci">QTimer * timer</div><div class="ttdoc">Stoper wyznaczający takt czytaania portu szeregowego.</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8hpp_source.html#l00107">MainWindow.hpp:107</a></div></div>
<div class="ttc" id="aclass_main_window_html_a3a503f5106dd5b87c5bd928c4737016c"><div class="ttname"><a href="class_main_window.html#a3a503f5106dd5b87c5bd928c4737016c">MainWindow::startThread</a></div><div class="ttdeci">void startThread()</div><div class="ttdoc">Rozpoczyna pracę wątku.</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8cpp_source.html#l00183">MainWindow.cpp:183</a></div></div>
<div class="ttc" id="aclass_main_window_html_a41228cf573c300dfa710206783fffd2f"><div class="ttname"><a href="class_main_window.html#a41228cf573c300dfa710206783fffd2f">MainWindow::main_widget</a></div><div class="ttdeci">QWidget * main_widget</div><div class="ttdoc">Główny widget okna aplikacji.</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8hpp_source.html#l00055">MainWindow.hpp:55</a></div></div>
<div class="ttc" id="aclass_main_window_html_a416ae2140ac1aa9f03a6279316abdcad"><div class="ttname"><a href="class_main_window.html#a416ae2140ac1aa9f03a6279316abdcad">MainWindow::changeEvent</a></div><div class="ttdeci">virtual void changeEvent(QEvent *event) override</div><div class="ttdoc">Funkcja przechwytująvca zdarzenia.</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8cpp_source.html#l00241">MainWindow.cpp:241</a></div></div>
<div class="ttc" id="aclass_main_window_html_a479291f16541e02fdfa3dd5fb7de2e4e"><div class="ttname"><a href="class_main_window.html#a479291f16541e02fdfa3dd5fb7de2e4e">MainWindow::horizon_layout</a></div><div class="ttdeci">QHBoxLayout * horizon_layout</div><div class="ttdoc">Zarządca horyzontalny aplikacji (mapa + zarządca wertykalny)</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8hpp_source.html#l00115">MainWindow.hpp:115</a></div></div>
<div class="ttc" id="aclass_main_window_html_a4e3feffb969822041d3629e01584452a"><div class="ttname"><a href="class_main_window.html#a4e3feffb969822041d3629e01584452a">MainWindow::pl_lang</a></div><div class="ttdeci">QAction * pl_lang</div><div class="ttdoc">Akcja związana z wyborem języka polskiego.</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8hpp_source.html#l00063">MainWindow.hpp:63</a></div></div>
<div class="ttc" id="aclass_main_window_html_a505c42044d50b095841812dac82e385a"><div class="ttname"><a href="class_main_window.html#a505c42044d50b095841812dac82e385a">MainWindow::setVerticalLayout</a></div><div class="ttdeci">void setVerticalLayout()</div><div class="ttdoc">Ustawia widgety w prawej kolumnie okna aplikacji.</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8cpp_source.html#l00088">MainWindow.cpp:88</a></div></div>
<div class="ttc" id="aclass_main_window_html_a5c8aee50c5585e4e36ab9e76c8f0318a"><div class="ttname"><a href="class_main_window.html#a5c8aee50c5585e4e36ab9e76c8f0318a">MainWindow::serialOpenError</a></div><div class="ttdeci">void serialOpenError()</div><div class="ttdoc">Błąd otworzenia portu szeregowego.</div></div>
<div class="ttc" id="aclass_main_window_html_a621820c90e8a99378efb99149c82af98"><div class="ttname"><a href="class_main_window.html#a621820c90e8a99378efb99149c82af98">MainWindow::graphs</a></div><div class="ttdeci">VelocityGraph * graphs[2]</div><div class="ttdoc">Dwa wykresy prędkości (VelocityGraph)</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8hpp_source.html#l00087">MainWindow.hpp:87</a></div></div>
<div class="ttc" id="aclass_main_window_html_a6a1f45248f0f7feadca2fefa68961982"><div class="ttname"><a href="class_main_window.html#a6a1f45248f0f7feadca2fefa68961982">MainWindow::traveled_distance</a></div><div class="ttdeci">TravelInfo * traveled_distance</div><div class="ttdoc">Okno z informacją o przebytej drodze (TravelInfo)</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8hpp_source.html#l00095">MainWindow.hpp:95</a></div></div>
<div class="ttc" id="aclass_main_window_html_a7e4aff0e6115f925d23d6a4272fe6303"><div class="ttname"><a href="class_main_window.html#a7e4aff0e6115f925d23d6a4272fe6303">MainWindow::languageChoice</a></div><div class="ttdeci">void languageChoice(int index)</div><div class="ttdoc">Funkcja kontrolująca przepływ logiki zmiany języka.</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8cpp_source.html#l00275">MainWindow.cpp:275</a></div></div>
<div class="ttc" id="aclass_main_window_html_a84fbe0d2c1a0ab5b98914f4abba1a80b"><div class="ttname"><a href="class_main_window.html#a84fbe0d2c1a0ab5b98914f4abba1a80b">MainWindow::travelinfo_layout</a></div><div class="ttdeci">QHBoxLayout * travelinfo_layout</div><div class="ttdoc">Zarządca horyzontalny układający informacje o podróży robota.</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8hpp_source.html#l00121">MainWindow.hpp:121</a></div></div>
<div class="ttc" id="aclass_main_window_html_a8a369bc2511941fec84dfb6f9d652f35"><div class="ttname"><a href="class_main_window.html#a8a369bc2511941fec84dfb6f9d652f35">MainWindow::end_button</a></div><div class="ttdeci">QPushButton * end_button</div><div class="ttdoc">Przycisk kończący pracę apliklacji.</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8hpp_source.html#l00075">MainWindow.hpp:75</a></div></div>
<div class="ttc" id="aclass_main_window_html_a8fc137b4622ea499e3a9c37bbcf6fb63"><div class="ttname"><a href="class_main_window.html#a8fc137b4622ea499e3a9c37bbcf6fb63">MainWindow::typePl</a></div><div class="ttdeci">void typePl()</div><div class="ttdoc">Komunikat o zmianie języka na polski.</div></div>
<div class="ttc" id="aclass_main_window_html_a9fdfec5708365ddc98b17e431398841f"><div class="ttname"><a href="class_main_window.html#a9fdfec5708365ddc98b17e431398841f">MainWindow::contextMenuEvent</a></div><div class="ttdeci">void contextMenuEvent(QContextMenuEvent *event) override</div><div class="ttdoc">Rozwija menu kontekstowe.</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8cpp_source.html#l00169">MainWindow.cpp:169</a></div></div>
<div class="ttc" id="aclass_main_window_html_aa3a78aeb57b0f47aeb58da36e9e2e16a"><div class="ttname"><a href="class_main_window.html#aa3a78aeb57b0f47aeb58da36e9e2e16a">MainWindow::typeEng</a></div><div class="ttdeci">void typeEng()</div><div class="ttdoc">Komunikat o zmianie języka na angielski.</div></div>
<div class="ttc" id="aclass_main_window_html_ab8a4947c85721e80b5aaba35a1403369"><div class="ttname"><a href="class_main_window.html#ab8a4947c85721e80b5aaba35a1403369">MainWindow::serial</a></div><div class="ttdeci">SerialPort * serial</div><div class="ttdoc">Klasa obsługująca port szeregowy.</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8hpp_source.html#l00103">MainWindow.hpp:103</a></div></div>
<div class="ttc" id="aclass_main_window_html_ab956ae0fe06c20af5093977debac8047"><div class="ttname"><a href="class_main_window.html#ab956ae0fe06c20af5093977debac8047">MainWindow::MainWindow</a></div><div class="ttdeci">MainWindow(QWidget *parent=nullptr, unsigned int x=1800, unsigned int y=960)</div><div class="ttdoc">Inicjalizuje obiekt klasy MainWindow.</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8cpp_source.html#l00021">MainWindow.cpp:21</a></div></div>
<div class="ttc" id="aclass_main_window_html_ac02bc0c466bc5b5ad43b8097a3642225"><div class="ttname"><a href="class_main_window.html#ac02bc0c466bc5b5ad43b8097a3642225">MainWindow::serialEnded</a></div><div class="ttdeci">void serialEnded()</div><div class="ttdoc">Zakończenie połączenia z portem szeregowym.</div></div>
<div class="ttc" id="aclass_main_window_html_acebe2328d46e24d95c03ad210933b168"><div class="ttname"><a href="class_main_window.html#acebe2328d46e24d95c03ad210933b168">MainWindow::map</a></div><div class="ttdeci">Map3D * map</div><div class="ttdoc">Trójwymiarowa mapa robota (Map3D)</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8hpp_source.html#l00083">MainWindow.hpp:83</a></div></div>
<div class="ttc" id="aclass_main_window_html_ad18033579ccdad6f39dea914b0c8eb9a"><div class="ttname"><a href="class_main_window.html#ad18033579ccdad6f39dea914b0c8eb9a">MainWindow::serialReady</a></div><div class="ttdeci">void serialReady()</div><div class="ttdoc">Port szeregowy gotowy do pracy.</div></div>
<div class="ttc" id="aclass_main_window_html_adba2bc7ed31f560ceef2b3006a05de3b"><div class="ttname"><a href="class_main_window.html#adba2bc7ed31f560ceef2b3006a05de3b">MainWindow::vertical_layout</a></div><div class="ttdeci">QVBoxLayout * vertical_layout</div><div class="ttdoc">Zarządca wertykalny (prawa kolumna okna aplikacji)</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8hpp_source.html#l00111">MainWindow.hpp:111</a></div></div>
<div class="ttc" id="aclass_main_window_html_ae257f4aef4eadcf49538c2cb8c9488c7"><div class="ttname"><a href="class_main_window.html#ae257f4aef4eadcf49538c2cb8c9488c7">MainWindow::engLangChosen</a></div><div class="ttdeci">void engLangChosen()</div><div class="ttdoc">Rozpoczyna procedurę zmiany języka na angielski.</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8cpp_source.html#l00228">MainWindow.cpp:228</a></div></div>
<div class="ttc" id="aclass_main_window_html_ae57531c18dc214964cb2de3f334dba0f"><div class="ttname"><a href="class_main_window.html#ae57531c18dc214964cb2de3f334dba0f">MainWindow::stopTimer</a></div><div class="ttdeci">void stopTimer()</div><div class="ttdoc">Zatrzymuje timer.</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8hpp_source.html#l00186">MainWindow.hpp:186</a></div></div>
<div class="ttc" id="aclass_main_window_html_ae98d00a93bc118200eeef9f9bba1dba7"><div class="ttname"><a href="class_main_window.html#ae98d00a93bc118200eeef9f9bba1dba7">MainWindow::~MainWindow</a></div><div class="ttdeci">~MainWindow()</div><div class="ttdoc">Destruktor klasy MainWindow.</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8cpp_source.html#l00304">MainWindow.cpp:304</a></div></div>
<div class="ttc" id="aclass_main_window_html_aed447fb7bc11c0cd4be563f743e647af"><div class="ttname"><a href="class_main_window.html#aed447fb7bc11c0cd4be563f743e647af">MainWindow::coords</a></div><div class="ttdeci">TravelInfo * coords</div><div class="ttdoc">Okno z informacją o aktualnych współrzędnych robota (TravelInfo)</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8hpp_source.html#l00099">MainWindow.hpp:99</a></div></div>
<div class="ttc" id="aclass_main_window_html_afc498bf194fe7640bd3b964173cdf513"><div class="ttname"><a href="class_main_window.html#afc498bf194fe7640bd3b964173cdf513">MainWindow::eng_lang</a></div><div class="ttdeci">QAction * eng_lang</div><div class="ttdoc">Akcja związana z wyborem języka angielskiego.</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8hpp_source.html#l00067">MainWindow.hpp:67</a></div></div>
<div class="ttc" id="aclass_main_window_html_afecba282687848b44c55036ade1922bd"><div class="ttname"><a href="class_main_window.html#afecba282687848b44c55036ade1922bd">MainWindow::lang_menu</a></div><div class="ttdeci">QMenu * lang_menu</div><div class="ttdoc">Menu aplikacji.</div><div class="ttdef"><b>Definition</b> <a href="_main_window_8hpp_source.html#l00059">MainWindow.hpp:59</a></div></div>
<div class="ttc" id="aclass_map3_d_html"><div class="ttname"><a href="class_map3_d.html">Map3D</a></div><div class="ttdoc">Opakowanie okna z obiektami trójwymiarowymi.</div><div class="ttdef"><b>Definition</b> <a href="_map3_d_8hpp_source.html#l00022">Map3D.hpp:23</a></div></div>
<div class="ttc" id="aclass_map3_d_html_a80745e5f188844063a60711d1c28ceb1"><div class="ttname"><a href="class_map3_d.html#a80745e5f188844063a60711d1c28ceb1">Map3D::refresh</a></div><div class="ttdeci">void refresh()</div><div class="ttdoc">Odświeża widok w oknie grafiki.</div><div class="ttdef"><b>Definition</b> <a href="_map3_d_8hpp_source.html#l00083">Map3D.hpp:83</a></div></div>
<div class="ttc" id="aclass_map3_d_html_aaf51a6397305a161ddffa25e06eaa18f"><div class="ttname"><a href="class_map3_d.html#aaf51a6397305a161ddffa25e06eaa18f">Map3D::moveRobot</a></div><div class="ttdeci">void moveRobot(int left, int right, int time_interval)</div><div class="ttdoc">Przekazuje dane ruchu do modelu robota.</div><div class="ttdef"><b>Definition</b> <a href="_map3_d_8hpp_source.html#l00068">Map3D.hpp:68</a></div></div>
<div class="ttc" id="aclass_map3_d_html_ad29147f780b915a93ea20e2219ebde1d"><div class="ttname"><a href="class_map3_d.html#ad29147f780b915a93ea20e2219ebde1d">Map3D::returnRobotDistance</a></div><div class="ttdeci">double returnRobotDistance()</div><div class="ttdoc">Zwraca całkowitą odległość przebytą przez robota.</div><div class="ttdef"><b>Definition</b> <a href="_map3_d_8hpp_source.html#l00091">Map3D.hpp:91</a></div></div>
<div class="ttc" id="aclass_map3_d_html_af1db43c016f502a56149a6fe3acdd365"><div class="ttname"><a href="class_map3_d.html#af1db43c016f502a56149a6fe3acdd365">Map3D::passMeasure</a></div><div class="ttdeci">void passMeasure(int new_measure, int index)</div><div class="ttdoc">Przekazuje robotowi odczyt z danego czujnika.</div><div class="ttdef"><b>Definition</b> <a href="_map3_d_8hpp_source.html#l00076">Map3D.hpp:76</a></div></div>
<div class="ttc" id="aclass_robot_data_html"><div class="ttname"><a href="class_robot_data.html">RobotData</a></div><div class="ttdoc">Zbiór wszystkich danych otrzymywanych z robota.</div><div class="ttdef"><b>Definition</b> <a href="_robot_data_8hpp_source.html#l00017">RobotData.hpp:18</a></div></div>
<div class="ttc" id="aclass_robot_data_html_a0e99308bd0a255942711d5a7f5cf9639"><div class="ttname"><a href="class_robot_data.html#a0e99308bd0a255942711d5a7f5cf9639">RobotData::returnDistance</a></div><div class="ttdeci">unsigned int returnDistance(int index)</div><div class="ttdoc">Zwraca odległość danego czujnika.</div><div class="ttdef"><b>Definition</b> <a href="_robot_data_8hpp_source.html#l00083">RobotData.hpp:83</a></div></div>
<div class="ttc" id="aclass_robot_data_html_a1dbb990ef5d66e5a48651c30b0183fb7"><div class="ttname"><a href="class_robot_data.html#a1dbb990ef5d66e5a48651c30b0183fb7">RobotData::returnCounter</a></div><div class="ttdeci">unsigned int returnCounter(int index)</div><div class="ttdoc">Zwraca wartość danego transoptora odbiciowego.</div><div class="ttdef"><b>Definition</b> <a href="_robot_data_8hpp_source.html#l00095">RobotData.hpp:95</a></div></div>
<div class="ttc" id="aclass_robot_data_html_ac12e26952ade6fa132e489bc0c95b6c2"><div class="ttname"><a href="class_robot_data.html#ac12e26952ade6fa132e489bc0c95b6c2">RobotData::returnVelocity</a></div><div class="ttdeci">unsigned int returnVelocity(int index)</div><div class="ttdoc">Zwraca wypełnienie PWM danego koła.</div><div class="ttdef"><b>Definition</b> <a href="_robot_data_8hpp_source.html#l00108">RobotData.hpp:108</a></div></div>
<div class="ttc" id="aclass_serial_port_html"><div class="ttname"><a href="class_serial_port.html">SerialPort</a></div><div class="ttdoc">Modeluje port szeregowy.</div><div class="ttdef"><b>Definition</b> <a href="_serial_port_8hpp_source.html#l00041">SerialPort.hpp:42</a></div></div>
<div class="ttc" id="aclass_serial_port_html_a58d7a924c500dbbd169ab7ed0f60afef"><div class="ttname"><a href="class_serial_port.html#a58d7a924c500dbbd169ab7ed0f60afef">SerialPort::endConnection</a></div><div class="ttdeci">bool endConnection()</div><div class="ttdoc">Kończy połączenie z portem szeregowym.</div><div class="ttdef"><b>Definition</b> <a href="_serial_port_8cpp_source.html#l00050">SerialPort.cpp:50</a></div></div>
<div class="ttc" id="aclass_serial_port_html_aa62756463c259f5a8e5d203227109322"><div class="ttname"><a href="class_serial_port.html#aa62756463c259f5a8e5d203227109322">SerialPort::returnRobotData</a></div><div class="ttdeci">RobotData * returnRobotData()</div><div class="ttdoc">Zwraca wskaźnik do obiektu z danymi robota.</div><div class="ttdef"><b>Definition</b> <a href="_serial_port_8hpp_source.html#l00095">SerialPort.hpp:95</a></div></div>
<div class="ttc" id="aclass_serial_port_html_ab8617347c0bd495e80d39e563ec8e750"><div class="ttname"><a href="class_serial_port.html#ab8617347c0bd495e80d39e563ec8e750">SerialPort::startConnection</a></div><div class="ttdeci">bool startConnection()</div><div class="ttdoc">Otwiera port szeregowy.</div><div class="ttdef"><b>Definition</b> <a href="_serial_port_8cpp_source.html#l00028">SerialPort.cpp:28</a></div></div>
<div class="ttc" id="aclass_terminal_html"><div class="ttname"><a href="class_terminal.html">Terminal</a></div><div class="ttdoc">Wyświetla różnego typu komunikaty.</div><div class="ttdef"><b>Definition</b> <a href="_terminal_8hpp_source.html#l00028">Terminal.hpp:29</a></div></div>
<div class="ttc" id="aclass_travel_info_html"><div class="ttname"><a href="class_travel_info.html">TravelInfo</a></div><div class="ttdoc">Wyświetla informacje o podróży robota.</div><div class="ttdef"><b>Definition</b> <a href="_travel_info_8hpp_source.html#l00028">TravelInfo.hpp:29</a></div></div>
<div class="ttc" id="aclass_travel_info_html_a3a7cf7c55842a5ca903c4cfdecc98921"><div class="ttname"><a href="class_travel_info.html#a3a7cf7c55842a5ca903c4cfdecc98921">TravelInfo::updateDistance</a></div><div class="ttdeci">void updateDistance(double distance)</div><div class="ttdoc">Konweruje przekazany dystans na metry i wyświetla w okienku.</div><div class="ttdef"><b>Definition</b> <a href="_travel_info_8cpp_source.html#l00118">TravelInfo.cpp:118</a></div></div>
<div class="ttc" id="aclass_travel_info_html_a7372d7b6b3cab2310b3e6482df168041"><div class="ttname"><a href="class_travel_info.html#a7372d7b6b3cab2310b3e6482df168041">TravelInfo::writeLine</a></div><div class="ttdeci">void writeLine(QString line)</div><div class="ttdoc">Wpisuje linijkę do edytora.</div><div class="ttdef"><b>Definition</b> <a href="_travel_info_8cpp_source.html#l00105">TravelInfo.cpp:105</a></div></div>
<div class="ttc" id="aclass_travel_info_html_a99fc19ffabbf99e2fd40d649a762e791"><div class="ttname"><a href="class_travel_info.html#a99fc19ffabbf99e2fd40d649a762e791">TravelInfo::setMaxWidth</a></div><div class="ttdeci">void setMaxWidth(int limit=100)</div><div class="ttdoc">Ustawia maksymalną szerokość edytora.</div><div class="ttdef"><b>Definition</b> <a href="_travel_info_8hpp_source.html#l00096">TravelInfo.hpp:96</a></div></div>
<div class="ttc" id="aclass_travel_info_html_aded556ed7e83a46c97f60e2593299ded"><div class="ttname"><a href="class_travel_info.html#aded556ed7e83a46c97f60e2593299ded">TravelInfo::countCoords</a></div><div class="ttdeci">void countCoords(int left_opto, int right_opto)</div><div class="ttdoc">Liczy współrzędne robota na planszy.</div><div class="ttdef"><b>Definition</b> <a href="_travel_info_8cpp_source.html#l00082">TravelInfo.cpp:82</a></div></div>
<div class="ttc" id="aclass_velocity_graph_html"><div class="ttname"><a href="class_velocity_graph.html">VelocityGraph</a></div><div class="ttdoc">Wykres prędkości koła w czasie.</div><div class="ttdef"><b>Definition</b> <a href="_velocity_graph_8hpp_source.html#l00031">VelocityGraph.hpp:32</a></div></div>
<div class="ttc" id="aclass_velocity_graph_html_a6f38fb49ed1209990c97f6753c35ed52"><div class="ttname"><a href="class_velocity_graph.html#a6f38fb49ed1209990c97f6753c35ed52">VelocityGraph::updateWheelVelocity</a></div><div class="ttdeci">void updateWheelVelocity(int velocity, int time_interval_ms)</div><div class="ttdoc">Aktualizuje dane na wykresie i przesuwa osie zgodnie z czasem.</div><div class="ttdef"><b>Definition</b> <a href="_velocity_graph_8cpp_source.html#l00109">VelocityGraph.cpp:109</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_4aa64b0872d36146e049722e293482e3.html">prj</a></li><li class="navelem"><a class="el" href="dir_400757c3a0df52e783ed9699284f29ce.html">src</a></li><li class="navelem"><a class="el" href="_main_window_8cpp.html">MainWindow.cpp</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
